Latest Release – Anypoint Studio, Mule 3.6.0-M2 & 3.5.2

October 21 2014

0 comments 0
motif

Anypoint October 2014, Mule 3.6.0-M2 and 3.5.2 released

Today we’re releasing Anypoint Studio October 2014, Mule 3.6.0 – Milestone 2 (M2), and Mule 3.5.2. This release includes new HTTP capabilities which make it easy to connect to RESTful APIs with RAML, and productivity enhancements inside Anypoint Studio – such as DataSense for APIkit and a new Studio launcher.

Simplified connectivity to REST APIs with

Mule 3.6.0-M2 includes new HTTP capabilities which makes it easy to connect to RESTful HTTP services – especially those that have a RAML specification. It features simpler syntax and full RAML support. If your service has a RAML, you will now get auto-completion for all resources, methods, headers, etc., as well as full DataSense for any schemas that are located in the RAML. Check it out in this short video:

For more details, check out our documentation, or for more information about RAML, visit raml.org.

Run multiple applications simultaneously with Studio launcher

The early access version of our new runtime launcher features the ability to run multiple applications simultaneously inside Anypoint Studio October 2014 and start/stop them individually. This often requested feature will also be the basis for supporting shared resources inside Studio in the next release.

Screen Shot 2014-10-20 at 12.23.00 PM.PNG

To enable it, go to the preferences for Anypoint Studio and check, “Enable new Mule Runtime Launcher (ESB 3.6.0+)”.

DataSense for APIkit and JSON schema

We’ve also enhanced DataSense to make it easier to build and consume APIs in Anypoint Studio Oct 2014. First, APIkit now supports DataSense. It can now provide metadata for all your implementation flows based on that RAML. Second, we’ve added support for JSON schema to DataSense and DataMapper, allowing you to define all your data types in reusable schemas in RAMLs or standalone.

Other improvements

This release also contains a number of other improvements, including:

  • The Anypoint Connector for SAP now supports JCo version 3.0.11. Upgrading will require changes in your project structure. Please see the documentation for more details.
  • A license is no longer required for running tests as of Mule 3.5.2 and 3.6.0-M2.
  • Mule 3.5.2 features 110 bug fixes resolved since the 3.5.0 release
  • As of Mule 3.6, the minimum Java version required will be Java 7.

Get Started

To get started:

We look forward to your feedback in this post’s comments and in our forum. Happy integrating!

 


We'd love to hear your opinion on this post